org.apache.ignite.internal.processors.cache.query

## Interface GridCacheQueryMetadataAware

All Known Implementing Classes:
  GridCacheDistributedFieldsQueryFuture, GridCacheLocalFieldsQueryFuture

    public interface GridCacheQueryMetadataAware

Metadata-aware interface.

### Method Summary

Methods
`IgniteInternalFuture<List<GridQueryFieldMetadata>>` `metadata()`

### Method Detail

#### metadata

    IgniteInternalFuture<List<GridQueryFieldMetadata>> metadata()

Returns:
  Future to retrieve metadata.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC1
Release Date | : February 17 2015